com.explodingpixels.widgets.plaf

## Class EPTabbedPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TabbedPaneUI
    - - javax.swing.plaf.basic.BasicTabbedPaneUI
      - - com.explodingpixels.widgets.plaf.EPTabbedPaneUI

- All Implemented Interfaces:
    SwingConstants

      public class EPTabbedPaneUI
      extends BasicTabbedPaneUI

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI

      `BasicTabbedPaneUI.FocusHandler, BasicTabbedPaneUI.MouseHandler, BasicTabbedPaneUI.PropertyChangeHandler, BasicTabbedPaneUI.TabbedPaneLayout, BasicTabbedPaneUI.TabSelectionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLOSE_BUTTON_LOCATION_KEY`
    `static Object` | `CLOSE_BUTTON_LOCATION_VALUE_LEFT`
    `static Object` | `CLOSE_BUTTON_LOCATION_VALUE_RIGHT`
    `static String` | `TAB_CLOSE_LISTENER_KEY`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI

      `calcRect, contentBorderInsets, darkShadow, downKey, focus, focusListener, highlight, leftKey, lightHighlight, maxTabHeight, maxTabWidth, mouseListener, propertyChangeListener, rects, rightKey, runCount, selectedRun, selectedTabPadInsets, shadow, tabAreaInsets, tabChangeListener, tabInsets, tabPane, tabRunOverlay, tabRuns, textIconGap, upKey`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPTabbedPaneUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LayoutManager` | `createLayoutManager()`
    `protected Insets` | `getContentBorderInsets(int tabPlacement)`
    `protected int` | `getTabLabelShiftX(int tabPlacement, int tabIndex, boolean isSelected)`
    `protected int` | `getTabLabelShiftY(int tabPlacement, int tabIndex, boolean isSelected)`
    `protected void` | `installDefaults()`
    `protected void` | `installListeners()`
    `void` | `paint(Graphics g, JComponent c)`
    `protected void` | `paintContentBorderBottomEdge(Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
    `protected void` | `paintContentBorderLeftEdge(Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
    `protected void` | `paintContentBorderRightEdge(Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
    `protected void` | `paintContentBorderTopEdge(Graphics g, int tabPlacement, int selectedIndex, int x, int y, int width, int height)`
    `protected void` | `paintTab(Graphics g, int tabPlacement, Rectangle[] rects, int tabIndex, Rectangle iconRect, Rectangle textRect)`
    `void` | `setCloseButtonLocation(EPTabPainter.CloseButtonLocation closeButtonLocation)`
    `void` | `setPaintsFullContentBorder(boolean paintsFullContentBorder)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI

      `assureRectsCreated, calculateMaxTabHeight, calculateMaxTabWidth, calculateTabAreaHeight, calculateTabAreaWidth, calculateTabHeight, calculateTabWidth, createChangeListener, createFocusListener, createMouseListener, createPropertyChangeListener, createScrollButton, createUI, expandTabRunsArray, getBaseline, getBaseline, getBaselineOffset, getBaselineResizeBehavior, getFocusIndex, getFontMetrics, getIconForTab, getMaximumSize, getMinimumSize, getNextTabIndex, getNextTabIndexInRun, getNextTabRun, getPreviousTabIndex, getPreviousTabIndexInRun, getPreviousTabRun, getRolloverTab, getRunForTab, getSelectedTabPadInsets, getTabAreaInsets, getTabBounds, getTabBounds, getTabInsets, getTabRunCount, getTabRunIndent, getTabRunOffset, getTabRunOverlay, getTextViewForTab, getVisibleComponent, installComponents, installKeyboardActions, installUI, lastTabInRun, layoutLabel, navigateSelectedTab, paintContentBorder, paintFocusIndicator, paintIcon, paintTabArea, paintTabBackground, paintTabBorder, paintText, rotateInsets, selectAdjacentRunTab, selectNextTab, selectNextTabInRun, selectPreviousTab, selectPreviousTabInRun, setRolloverTab, setVisibleComponent, shouldPadTabRun, shouldRotateTabRuns, tabForCoordinate, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getPreferredSize, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAB_CLOSE_LISTENER_KEY

          public static final String TAB_CLOSE_LISTENER_KEY

      See Also:
        Constant Field Values

    - #### CLOSE_BUTTON_LOCATION_KEY

          public static final String CLOSE_BUTTON_LOCATION_KEY

      See Also:
        Constant Field Values

    - #### CLOSE_BUTTON_LOCATION_VALUE_LEFT

          public static final Object CLOSE_BUTTON_LOCATION_VALUE_LEFT

    - #### CLOSE_BUTTON_LOCATION_VALUE_RIGHT

          public static final Object CLOSE_BUTTON_LOCATION_VALUE_RIGHT

  - ### Constructor Detail

    - #### EPTabbedPaneUI

          public EPTabbedPaneUI()

  - ### Method Detail

    - #### installDefaults

          protected void installDefaults()

      Overrides:
        `installDefaults` in class `BasicTabbedPaneUI`

    - #### installListeners

          protected void installListeners()

      Overrides:
        `installListeners` in class `BasicTabbedPaneUI`

    - #### createLayoutManager

          protected LayoutManager createLayoutManager()

      Overrides:
        `createLayoutManager` in class `BasicTabbedPaneUI`

    - #### getContentBorderInsets

          protected Insets getContentBorderInsets(int tabPlacement)

      Overrides:
        `getContentBorderInsets` in class `BasicTabbedPaneUI`

    - #### paint

          public void paint(Graphics g,
                   JComponent c)

      Overrides:
        `paint` in class `BasicTabbedPaneUI`

    - #### paintTab

          protected void paintTab(Graphics g,
                      int tabPlacement,
                      Rectangle[] rects,
                      int tabIndex,
                      Rectangle iconRect,
                      Rectangle textRect)

      Overrides:
        `paintTab` in class `BasicTabbedPaneUI`

    - #### paintContentBorderTopEdge

          protected void paintContentBorderTopEdge(Graphics g,
                                       int tabPlacement,
                                       int selectedIndex,
                                       int x,
                                       int y,
                                       int width,
                                       int height)

      Overrides:
        `paintContentBorderTopEdge` in class `BasicTabbedPaneUI`

    - #### paintContentBorderLeftEdge

          protected void paintContentBorderLeftEdge(Graphics g,
                                        int tabPlacement,
                                        int selectedIndex,
                                        int x,
                                        int y,
                                        int w,
                                        int h)

      Overrides:
        `paintContentBorderLeftEdge` in class `BasicTabbedPaneUI`

    - #### paintContentBorderRightEdge

          protected void paintContentBorderRightEdge(Graphics g,
                                         int tabPlacement,
                                         int selectedIndex,
                                         int x,
                                         int y,
                                         int w,
                                         int h)

      Overrides:
        `paintContentBorderRightEdge` in class `BasicTabbedPaneUI`

    - #### paintContentBorderBottomEdge

          protected void paintContentBorderBottomEdge(Graphics g,
                                          int tabPlacement,
                                          int selectedIndex,
                                          int x,
                                          int y,
                                          int w,
                                          int h)

      Overrides:
        `paintContentBorderBottomEdge` in class `BasicTabbedPaneUI`

    - #### getTabLabelShiftX

          protected int getTabLabelShiftX(int tabPlacement,
                              int tabIndex,
                              boolean isSelected)

      Overrides:
        `getTabLabelShiftX` in class `BasicTabbedPaneUI`

    - #### getTabLabelShiftY

          protected int getTabLabelShiftY(int tabPlacement,
                              int tabIndex,
                              boolean isSelected)

      Overrides:
        `getTabLabelShiftY` in class `BasicTabbedPaneUI`

    - #### setPaintsFullContentBorder

          public void setPaintsFullContentBorder(boolean paintsFullContentBorder)

    - #### setCloseButtonLocation

          public void setCloseButtonLocation(EPTabPainter.CloseButtonLocation closeButtonLocation)